Subject: [PATCH 01/28] dmaengine: use DMA_COMPLETE for dma completion status

From: [email-masked] (Vinod Koul)
Date: Tue, 12 Nov 2013 10:17:18 +0530

On Mon, Nov 11, 2013 at 09:11:18PM -0800, Olof Johansson wrote:
> On Mon, Nov 11, 2013 at 8:00 PM, Vinod Koul <[email-masked]> wrote:
> > On Mon, Nov 11, 2013 at 11:13:39AM -0800, Olof Johansson wrote:
> >> On Wed, Oct 30, 2013 at 06:33:25PM +0530, Vinod Koul wrote:
> >> > On Tue, Oct 29, 2013 at 09:47:55AM -0700, Olof Johansson wrote:
> >> > > This patch broke some TI platforms (using edma) due to namespace
> >> > > conflicts. The error is:
> >> > >
> >> > > ../../include/linux/dmaengine.h:54:2: error: expected identifier
> >> > > before numeric constant   (for DMA_COMPLETE)
> >> > >
> >> > > .. it's because they define DMA_COMPLETE in include/platform_data/edma.h.
> >> > >
> >> > > The edma driver seems to overall lack prefixes and thus pollutes
> >> > > global namespaces, so it should be fixed up.
> >> > Yup this needs some work.
> >> >
> >> > I fixed up the error with below, can you pls verify. Pls note this is compile
> >> > tested only!
> >> >
> >> > -----><8---------------------------
> >> >
> >> > From: Vinod Koul <[email-masked]>
> >> > Date: Wed, 30 Oct 2013 18:22:30 +0530
> >> > Subject: [PATCH] dmanengine: fix edma driver to not define DMA_COMPLETE
> >> >
> >> > edma header defines DMA_COMPLETE, this causes issues as commit adfedd9a32e4 move
> >> > DMA_SUCCESS to DMA_COMPLETE. edma should properly namespace its defines and
> >> > needs a future fix
> >> >
> >> > Reported-by: Olof Johansson <[email-masked]>
> >> > Signed-off-by: Vinod Koul <[email-masked]>
> >>
> >> Thanks, I've applied this to fixes together with the follow-up from
> >> Sebastian. Cc:ing Mark since it touches drivers/soc.
> > I had applied this a while back and pushed only thing remaining was Sebastian's
> > patch.  Since this is dependent on the series I am sending to Linus in a day ro
> > two, would prefer things to go thru this tree only.
> >
> > Let me know if you are okay and will apply Sebastian fix on my next
> 
> Ah, go ahead -- I thought it hadn't been picked up yet since there
> were still failures (i.e. due to Sebastian's fixes). Feel free to add
> my Acked-by where you still can. :-)
Sure, applied this one

> I have a couple of small fixes to take care of warnings with LPAE
> configs that I hope to get out tonight or tomorrow morning, it'd be
> nice to see them go in too (just printk format warning fixes).
Sure, I will hold off for few more days for more coverage. Also if you/Sebastian
can check more if anything still breaks and we fix it before sending would be
good too

--
~Vinod